Bug 373621 - Review Request: qct - Multi-vcs GUI commit tool
Review Request: qct - Multi-vcs GUI commit tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 15:13 EST by Neal Becker
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-18 06:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-11-09 15:13:17 EST
Spec URL: https://nbecker.dyndns.org/RPM/qct.spec
SRPM URL: https://nbecker.dyndns.org/RPM/qct-1.4-1.fc8.src.rpm
Description: 
Multi-vcs GUI commit tool.  Supports:
mercurial, bazaar, git, subversion, monotone, cvs
Comment 4 David Nielsen 2007-11-14 07:32:16 EST
Let's set review request flag
Comment 5 David Nielsen 2007-11-14 08:42:55 EST
Since I already fucked up and mistakingly assigned this to myself I'll review
this bad boy as punishment. 
Comment 6 David Nielsen 2007-11-14 09:11:39 EST
Shouldn't you include the documentation from the doc subfolder as documentation,
also you state this supports multiple VCS' yet only mercurial has a subpackage,
I would have expected one for each supported VCS - care to enlighten me?

Also do you need a sponsor?

Regardless here we go:

=== GOOD ===

+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.
+ MUST: The License field in the package spec file must match the actual license.
+ MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
+ MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
+ MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
+ MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.
+ MUST: A package must not contain any duplicate files in the %files listing.
+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
+ MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
+ MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
+ MUST: All filenames in rpm packages must be valid UTF-8.

=== BAD ===

rpmlint failures:
* qct.src:23: W: rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
* qct.src: E: no-cleaning-of-buildroot %install

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line:
* Missing permissions for mercurial entry

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.
* no .desktop and no comment explaining the lack thereof

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
* Does not clean buildroot on %install

=== DOESN'T APPLY ===
- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64
- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig. 
- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
- MUST: Header files must be in a -devel package.
- MUST: Static libraries must be in a -static package.
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
Comment 8 David Nielsen 2007-11-17 04:54:10 EST
== Good ==

Odd noarch vs. building arch specific stuff is gone
Permissions correct
.desktop file no present
correct cleaning on %install

== Minor ==

adding X-Fedora to the .desktop file is considered cruft
* Nuke it from orbit, the only way to be sure

rpmlint complains:
qct.src: W: mixed-use-of-spaces-and-tabs (spaces: line 39, tab: line 3)
* minor but for consistency please fix this.

qct-mercurial.x86_64: W: no-documentation
* minor, unsure, you might want to consider putting the correct README file in
this package.

qct-mercurial.x86_64: W: non-conffile-in-etc /etc/mercurial/hgrc.d/qct.rc 
* ignore

qct.x86_64: E: no-binary 
* ignore

== Bad ==

rpmlint complains:
qct-debuginfo.x86_64: E: empty-debuginfo-package
* if you are not generating debug symbols then add:

%define                 debug_package %{nil} 

to the top of your spec to disable building -debuginfo

So nothing major left, just one more rev for good measure to fix the last few
minor problems.
Comment 10 David Nielsen 2007-11-17 11:16:52 EST
Thank you, I'm pleased to label this, APPROVED
Comment 11 Neal Becker 2007-11-17 16:52:58 EST
New Package CVS Request
=======================
Package Name: qct
Short Description: Multi-vcs GUI commit tool
Owners: nbecker
Branches: F-7 F-8
InitialCC: david@lovesunix.net
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-11-17 20:14:29 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.